complexType "CommodityMetalBrand"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | name?, brandManager?, country?, producer?
</...>

Content Model Elements (4):

  brandManager, country (in brand), | name (in brand), producer

All Direct / Indirect Based Elements (1):

  brand

Known Usage Locations

- As direct type of elements (1):
  brand

XML Source (see within schema source)

<xsd:complexType name="CommodityMetalBrand"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="CommodityMetalBrandName"/> <xsd:element minOccurs="0" name="brandManager" type="CommodityMetalBrandManager"/> <xsd:element minOccurs="0" name="country" type="CountryCode"/> <xsd:element minOccurs="0" name="producer" type="CommodityMetalProducer"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
brandManager

  Type: | CommodityMetalBrandManager, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="brandManager" type="CommodityMetalBrandManager"/>

country

  Type: | CountryCode, simple content

  Simple Content

  xsd:token

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="country" type="CountryCode"/>

name

  Type: | CommodityMetalBrandName, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="name" type="CommodityMetalBrandName"/>

producer

  Type: | CommodityMetalProducer, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="producer" type="CommodityMetalProducer"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.